#include "common_include.h"
#include "bsp_app_led_output.h"

void InitTelltale_QX23(void)
{
#if (PRO_QXI)
   SetTelltalePos("HighBeam",              HighBeam);
   SetTelltalePos("HBAGreen",              HBAGreen);
   SetTelltalePos("HBAWhite",              HBAWhite);
   SetTelltalePos("LowBeam",                LowBeam);
   SetTelltalePos("LeftTurn",              LeftTurn);
   SetTelltalePos("RightTurn",            RightTurn);
   SetTelltalePos("TailLamp",              TailLamp);
   SetTelltalePos("RearFog",                RearFog);
   SetTelltalePos("ParkingBreak",      ParkingBreak);
   SetTelltalePos("MasterSymbol",      MasterSymbol);
   SetTelltalePos("Tpms",                      Tpms);
   SetTelltalePos("OverSpeed",            OverSpeed);
   SetTelltalePos("ABS",                        ABS);
   SetTelltalePos("Immobilizer",        Immobilizer);
   SetTelltalePos("SeatBelt",              SeatBelt);
   SetTelltalePos("LedLampFail",        LedLampFail);
   SetTelltalePos("ECALL",                    Ecall);
   SetTelltalePos("InteriorLamp",      InteriorLamp);
   SetTelltalePos("FcaYellow",            FcaYellow);
   SetTelltalePos("FcaRed",                  FcaRed);
   SetTelltalePos("DpfGpf",                  DpfGpf);
   SetTelltalePos("Mdps",                      Mdps);
   SetTelltalePos("BatteryCharge",    BatteryCharge);
   SetTelltalePos("AirBag",                  AirBag);
   SetTelltalePos("OilPressure",        OilPressure);
   SetTelltalePos("ESC",                        ESC);
   SetTelltalePos("EscOff",                  EscOff);
   SetTelltalePos("CheckEngine",        CheckEngine);
   SetTelltalePos("AllLedOpen",          AllLedOpen);
   SetTelltalePos("LowFuel",     DMS_RestoreDefault);
#endif
}


